Skip to main content

API Changelog - 2026-10-19: Summary

The new account.instrumentSubtype field is now documented in the Visa, Mastercard and Maestro payment method details returned when retrieving payments, credits and transactions. This is an additive, non-breaking change.


GET /v1/payments — List Payments​

The Visa, Mastercard and Maestro payment method details in the response now include the optional account.instrumentSubtype field, which indicates the subtype of the card used. The only value currently available is prepaid. This change is additive and does not require action from existing integrations.

PropertyDetails
NamepaymentMethod.account.instrumentSubtype
LocationResponse body
Typestring
RequiredNo (optional)
FormatEnum value prepaid
Example"prepaid"

GET /v1/payments/{paymentId} — Get Payment​

The Visa, Mastercard and Maestro payment method details in the response now include the optional account.instrumentSubtype field, which indicates the subtype of the card used. The only value currently available is prepaid. This change is additive and does not require action from existing integrations.

PropertyDetails
NamepaymentMethod.account.instrumentSubtype
LocationResponse body
Typestring
RequiredNo (optional)
FormatEnum value prepaid
Example"prepaid"

GET /v1/transactions — List Transactions​

The Visa, Mastercard and Maestro payment method details in the response now include the optional account.instrumentSubtype field, which indicates the subtype of the card used. The only value currently available is prepaid. This change is additive and does not require action from existing integrations.

PropertyDetails
NamepaymentMethod.account.instrumentSubtype
LocationResponse body
Typestring
RequiredNo (optional)
FormatEnum value prepaid
Example"prepaid"

GET /v1/transactions/{transactionId} — Get Transaction​

The Visa, Mastercard and Maestro payment method details in the response now include the optional account.instrumentSubtype field, which indicates the subtype of the card used. The only value currently available is prepaid. This change is additive and does not require action from existing integrations.

PropertyDetails
NamepaymentMethod.account.instrumentSubtype
LocationResponse body
Typestring
RequiredNo (optional)
FormatEnum value prepaid
Example"prepaid"